RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
subopt.h File Reference
Enumerating Suboptimal Structures

RNAsubopt and density of states declarations. More...

Include dependency graph for subopt.h:

Go to the source code of this file.

## Functions

SOLUTION * | subopt (char *seq, char *structure, int delta, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_par (char *seq, char *structure, paramT *parameters, int delta, int is_constrained, int is_circular, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_circ (char *seq, char *sequence, int delta, FILE *fp)
| Returns list of circular subopt structures or writes to fp.

## Variables

int | subopt_sorted
| Sort output by energy.
double | print_energy
| printing threshold for use with logML
int | density_of_states [MAXDOS+1]
| The Density of States.

## Detailed Description

RNAsubopt and density of states declarations.